/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomXMLSerializer_H___INT_
#define __GdomXMLSerializer_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "XMLSerializer.h"
namespace WebCore {
    gpointer toGDOM(XMLSerializer* node);
} /* namespace WebCore */ 
G_BEGIN_DECLS
class GDOMXMLSerializer : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_XML_SERIALIZER; }
    GDOMXMLSerializer(PassRefPtr<WebCore::XMLSerializer> impl);
    virtual ~GDOMXMLSerializer();
    WebCore::XMLSerializer* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::XMLSerializer> m_impl;
};
G_END_DECLS

#endif /* __GdomXMLSerializer_H___INT_*/
